Name:           python-stripe
Version:        2.67.0
Release:        1%{?dist}
Summary:        Python library for the Stripe API

License:        MIT
URL:            https://github.com/stripe/stripe-python
Source0:        %{url}/archive/v%{version}/stripe-python-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python3-devel

%global _description %{expand:
The Stripe Python library provides convenient access to the Stripe API from
applications written in the Python language. It includes a pre-defined set of
classes for API resources that initialize themselves dynamically from API
responses which makes it compatible with a wide range of versions of the
Stripe API.}

%description %_description

%package -n python3-stripe
Summary:        %{summary}

%description -n python3-stripe %_description


%prep
%autosetup -p1 -n stripe-python-%{version}


%generate_buildrequires
%pyproject_buildrequires -r


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files stripe


%check
# Testing suite depends on outdated unpackaged go libraries, hence no test
# here.
# To run tests manually, install the package and python3-pytest, and execute:
# In first shell:
# $ go get -u github.com/stripe/stripe-mock
# $ stripe-mock
# In second shell:
# $ pytest


%files -n python3-stripe -f %{pyproject_files}
%doc README.md CHANGELOG.md
%license LICENSE


%changelog
* Mon Mar 07 2022 Roman Inflianskas <rominf@aiven.io> - 2.67.0-1
- Update to 2.67.0 (#2055335)

* Fri Jan 21 2022 Roman Inflianskas <rominf@aiven.io> - 2.65.0-1
- Update to 2.65.0 (#2043177)

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 2.64.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Mon Dec 27 2021 Roman Inflianskas <rominf@aiven.io> - 2.64.0-1
- Initial package
